%if 0%{?el7}
%define dist .el7
%endif

%if 0%{?fedora} < 27 || 0%{?rhel} >= 6
%{expand:%%define prev__perl_requires %{__perl_requires}}
%define __perl_requires perl %{SOURCE1} %{prev__perl_requires}
%endif

Summary:	Squid native log format (NLF) analyzer and report generator
Name:		calamaris
Version:	2.99.4.5
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://cord.de/calamaris-english
Source0:	http://cord.de/sites/cord.de/files/calamaris/%{name}-%{version}.tar.gz
Source1:	calamaris-filter-requires.sh
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-interpreter
BuildRequires:  perl-generators

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Calamaris parses the Squid Native Log and generates reports
about Peak-usage, Request-Methods, Status-reports of incoming
and outgoing requests, second and Top-level destinations,
content-types and performance.
 
%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir},%{perl_vendorlib}}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 644 *.pm $RPM_BUILD_ROOT%{perl_vendorlib}

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o CHANGES.utf8 CHANGES
touch -r CHANGES CHANGES.utf8; mv -f CHANGES.utf8 CHANGES
iconv -f iso-8859-1 -t utf-8 -o EXAMPLES.utf8 EXAMPLES
touch -r EXAMPLES EXAMPLES.utf8; mv -f EXAMPLES.utf8 EXAMPLES
iconv -f iso-8859-1 -t utf-8 -o calamaris-cache-convert.utf8 calamaris-cache-convert
touch -r calamaris-cache-convert calamaris-cache-convert.utf8; mv -f calamaris-cache-convert.utf8 calamaris-cache-convert

install -m 755 calamaris-cache-convert $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES EXAMPLES* README INSTALL TODO
%{!?_licensedir:%global license %%doc}
%license COPYRIGHT
%{_bindir}/%{name}
%{_bindir}/calamaris-cache-convert
%{perl_vendorlib}/cal*.pm
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Wed Sep 09 2015 momo-i <webmaster@momo-i.org> - 2.99.4.5-1
- Update to 2.99.4.5

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.99.4.0-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.99.4.0-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 2.99.4.0-2
- Rebuilt for fc22

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.59-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.59-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.59-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.59-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 2.59-2
- Rebuild against gcc 4.4 and rpm 4.6

* Thu Jul 24 2008 Robert Scheck <robert@fedoraproject.org> 2.59-1
- Upgrade to 2.59
- Initial spec file for Fedora and Red Hat Enterprise Linux
